{config, ...}: {
  imports = [
    # Common modules
    ./home.nix
    ./users/jimbo.nix
    ./tuiapps/git.nix
  ];

  # Rebuild this entire system
  programs.zsh = {
    shellAliases = let
      auth = import ./common/auth.nix;
    in {
      nixdate = ''
        ${auth.method} nixos-rebuild switch --flake /etc/nixos/.#JimServer;
        home-manager switch --flake /etc/nixos/.#jimbo@JimServer;
      '';
    };
  };
}
